## flashbench 62

=== Makefile ===
CC	:= gcc
CFLAGS	:= -O2 -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -g2
LDFLAGS := -lrt

all: flashbench erase

dev.o: dev.c dev.h
vm.o: vm.c vm.h dev.h
flashbench.o: flashbench.c vm.h dev.h

flashbench: flashbench.o dev.o vm.o
	$(CC) -o $@ flashbench.o dev.o vm.o $(LDFLAGS)


erase: erase.o

clean:
	rm flashbench flashbench.o dev.o vm.o

=== debian/changelog ===
flashbench (62-1) unstable; urgency=low

  * Initial release (Closes: #693156) (LP: #1078488)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 13 Nov 2012 17:34:35 +0000

=== debian/control ===
Source: flashbench
Section: utils
Priority: optional
Maintainer: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://git.linaro.org/gitweb?p=people/arnd/flashbench.git;a=summary
Vcs-Bzr: lp:~ubuntu-core-dev/flashbench/debian
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/flashbench/debian/

Package: flashbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: identify flash storage properties
 This utility helps to identify properties of SD cards and flash based
 storage. In particular it can be used to discover page and segement
 sizes and maximum number of concurrently open segments. These
 properties can then be used to better align paritions and tune
 filesystem options for maximum performance.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ 

get-orig-source:
	bzr export --per-file-timestamps \
	-r$(DEB_VERSION_UPSTREAM) \
	--root=$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM) \
	$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz \
	"lp:$(DEB_SOURCE)"

## flashbench 62+git20120606.2e30b19

=== debian/changelog ===
flashbench (62+git20120606.2e30b19-2) unstable; urgency=medium

  * Team upload.
  * d/p/0003: Don't override CFLAGS (Closes: #1119416)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 29 Oct 2025 22:09:06 +0100

flashbench (62+git20120606.2e30b19-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version (latest commit from Git)
  * Maintain in Salvage Team
    Closes: #1114534
  * Secure URI in Homepage
  * Add watch file pointing to Git repository
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Fix spelling in description
  * Permit failure of blhc on Salse CI

  [ Mathieu Malaterre ]
  * Add manpage
    Closes: #858724

 -- Andreas Tille <tille@debian.org>  Sat, 27 Sep 2025 08:58:15 +0200

flashbench (62-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop Vcs fields along with get-orig-source (Closes: #1052151)
  * Follow Homepage redirection (Closes: #792635)
  * Fix description typo (Closes: #775230)
  * Clean erase[.o] (Closes: #1044217)

 -- Bastian Germann <bage@debian.org>  Mon, 18 Sep 2023 10:40:00 +0200

=== debian/control ===
Source: flashbench
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/flashbench
Vcs-Git: https://salsa.debian.org/salvage-team/flashbench.git
Homepage: https://git.linaro.org/people/arnd.bergmann/flashbench

Package: flashbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: identify flash storage properties
 This utility helps to identify properties of SD cards and flash based
 storage. In particular it can be used to discover page and segment
 sizes and maximum number of concurrently open segments. These
 properties can then be used to better align partitions and tune
 filesystem options for maximum performance.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

=== debian/watch ===
version=4

opts="mode=git,pretty=62+git%cd.%h" \
    https://git.linaro.org/people/arnd.bergmann/flashbench.git HEAD
